Bug 1267587 - [abrt] blueman: connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.1272" (uid=1000 pid=11955 comm="python3 /bin/blueman-applet ...
[abrt] blueman: connection.py:651:call_blocking:dbus.exceptions.DBusException...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6bf47566e94a5168e1514f0f0a5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 09:30 EDT by Pierre Ossman
Modified: 2016-12-20 09:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:49:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.05 KB, text/plain)
2015-09-30 09:30 EDT, Pierre Ossman
no flags Details
File: environ (2.21 KB, text/plain)
2015-09-30 09:30 EDT, Pierre Ossman
no flags Details

  None (edit)
Description Pierre Ossman 2015-09-30 09:30:11 EDT
Description of problem:
Logged in to Gnome using ThinLinc. Got a notification right away that blueman had crashed.

Version-Release number of selected component:
blueman-2.1-0.3.git7a2e20e.fc23

Additional info:
reporter:       libreport-2.6.2
cmdline:        python3 /bin/blueman-applet
executable:     /bin/blueman-applet
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 3
type:           Python3
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.1272" (uid=1000 pid=11955 comm="python3 /bin/blueman-applet ") interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects" error name="(unset)" requested_reply="0" destination="org.bluez" (uid=0 pid=12243 comm="/usr/libexec/bluetooth/bluetoothd ")

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blueman/plugins/applet/ShowConnected.py", line 56, in enumerate_connections
    adapters = self.Applet.Manager.list_adapters()
  File "/usr/lib/python3.4/site-packages/blueman/bluez/errors.py", line 148, in warp
    raise parse_dbus_error(exception)
  File "/usr/lib/python3.4/site-packages/blueman/bluez/errors.py", line 146, in warp
    return func(*args, **kwargs)
  File "/usr/lib/python3.4/site-packages/blueman/bluez/Manager.py", line 56, in list_adapters
    objects = self._interface.GetManagedObjects()
  File "/usr/lib64/python3.4/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python3.4/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.1272" (uid=1000 pid=11955 comm="python3 /bin/blueman-applet ") interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects" error name="(unset)" requested_reply="0" destination="org.bluez" (uid=0 pid=12243 comm="/usr/libexec/bluetooth/bluetoothd ")

Local variables in innermost frame:
bus_name: 'org.bluez'
message: <dbus.lowlevel.MethodCallMessage path: /, iface: org.freedesktop.DBus.ObjectManager, member: GetManagedObjects dest: org.bluez>
self: <dbus._dbus.SystemBus (system) at 0x7ff7d50a7a40>
kwargs: {}
dbus_interface: 'org.freedesktop.DBus.ObjectManager'
signature: ''
get_args_opts: {'byte_arrays': False}
byte_arrays: False
method: 'GetManagedObjects'
timeout: -1.0
args: ()
object_path: '/'
Comment 1 Pierre Ossman 2015-09-30 09:30:16 EDT
Created attachment 1078642 [details]
File: backtrace
Comment 2 Pierre Ossman 2015-09-30 09:30:17 EDT
Created attachment 1078643 [details]
File: environ
Comment 3 Fedora Admin XMLRPC Client 2016-06-21 12:25:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 07:39:55 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 09:49:47 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.